summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
committerNick White <git@njw.me.uk>2009-06-01 03:18:01 +0100
commit2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf (patch)
tree39854c5270c968b5deeaad12fc22ecd093af89bf
parenta45222f981eab7f3247dc4250a332ecdcb427cd2 (diff)
downloadgemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.tar.bz2
gemrb-gameinstallers-2b5d0fe643cb7abc9a75634d576a6ea19d39ddcf.zip
Added more info to patches & improved url handling
-rwxr-xr-xbg1/install-patch-baldurdash-fix.sh15
-rwxr-xr-xbg1/install-patch-baldurdash-text.sh13
-rwxr-xr-xbg1/install-patch-intl.sh13
-rwxr-xr-xbg1/install-patch-totsc-balderdash-text.sh13
-rwxr-xr-xbg1/install-patch-totsc-intl.sh13
-rwxr-xr-xbg1/install-patch-totsc-uk.sh13
-rwxr-xr-xbg1/install-patch-totsc-us.sh13
-rwxr-xr-xbg1/install-patch-us.sh13
-rwxr-xr-xiwd/install-patch-uk-fix.sh2
-rwxr-xr-xiwd/install-patch-us.sh2
-rwxr-xr-xpst/install-patch-official.sh13
11 files changed, 93 insertions, 30 deletions
diff --git a/bg1/install-patch-baldurdash-fix.sh b/bg1/install-patch-baldurdash-fix.sh
index a4c2122..90b629b 100755
--- a/bg1/install-patch-baldurdash-fix.sh
+++ b/bg1/install-patch-baldurdash-fix.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1/TOTSC Baldurdash fix pack
+# BG1/TOTSC Baldurdash fix pack v1.1
+#
+# info : http://www.baldurdash.org/BG1/bg1fixes.html
+# size : 0.1 MB
+# date : 7/07/01
+
+patch_url="http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,12 +33,12 @@ checkforbin unzip wget
setuptmp
-getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
+getpatch $patch_url
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
-unzip -L "${TMPDIR}/BG1FixPack11.exe" -d "$TMPDIR" 2>/dev/null
-rm "${TMPDIR}/BG1FixPack11.exe" "${TMPDIR}/bg1fixpack11readme.txt"
+unzip -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" 2>/dev/null
+rm "${TMPDIR}/${patch_name}" "${TMPDIR}/bg1fixpack11readme.txt"
cp "${TMPDIR}/"* "${TARGETDIR}/override/" || diesoftly
cleanuptmp
diff --git a/bg1/install-patch-baldurdash-text.sh b/bg1/install-patch-baldurdash-text.sh
index 7eeee3b..11d7969 100755
--- a/bg1/install-patch-baldurdash-text.sh
+++ b/bg1/install-patch-baldurdash-text.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 Baldurdash text pack
+# BG1 Baldurdash text pack v1.0
+#
+# info : http://www.baldurdash.org/BG1/bg1fixes.html
+# size : 1.1 MB
+# date : 7/07/01
+
+patch_url="http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -31,11 +38,11 @@ checkforbin unzip wget
setuptmp
-getpatch http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe
+getpatch $patch_url
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
-unzip -L "${TMPDIR}/BG1NoTOSCGameTextUpdate10.exe" -d "$TMPDIR" 2>/dev/null
+unzip -L "${TMPDIR}/${patch_url}.exe" -d "$TMPDIR" 2>/dev/null
cp "${TMPDIR}/dialog.tlk" "${TARGETDIR}/" || diesoftly
cleanuptmp
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 0e12853..56ec960 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 official international patch
+# BG1 official international patch v1.1.4315
+#
+# info : http://downloads.bioware.com/baldursgate1/bgint114315.txt
+# size : 15 MB
+# date : 2/17/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/bgintl114315.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin unzip unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
+getpatch $patch_url
-unzip "${TMPDIR}/bgintl114315.exe" -d "${TMPDIR}" || diesoftly
+unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
unshield -g "$LANGUAGE" -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
diff --git a/bg1/install-patch-totsc-balderdash-text.sh b/bg1/install-patch-totsc-balderdash-text.sh
index 0d16147..5a9bc71 100755
--- a/bg1/install-patch-totsc-balderdash-text.sh
+++ b/bg1/install-patch-totsc-balderdash-text.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC Baldurdash text pack
+# BG1 TOTSC Baldurdash text pack v1.1
+#
+# info : http://www.baldurdash.org/BG1/bg1fixes.html
+# size : 1.2 MB
+# date : 7/07/01
+
+patch_url="http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -31,11 +38,11 @@ checkforbin unzip wget
setuptmp
-getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
+getpatch $patch_url
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
-unzip -L "${TMPDIR}/BG1TOSCGameTextUpdate11.exe" -d "$TMPDIR" 2>/dev/null
+unzip -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" 2>/dev/null
cp "${TMPDIR}/dialog.tlk" "${TARGETDIR}/" || diesoftly
cleanuptmp
diff --git a/bg1/install-patch-totsc-intl.sh b/bg1/install-patch-totsc-intl.sh
index b50c0ac..4c7d57e 100755
--- a/bg1/install-patch-totsc-intl.sh
+++ b/bg1/install-patch-totsc-intl.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC official International patch
+# BG1 TOTSC official International patch v1.3.5512
+#
+# info : http://www.planetbaldursgate.com/bg/media/files/patches/TotSC5512Readme.txt
+# size : 5.1 MB
+# date : 8/26/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/BGTalesIntl5512.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-uk.sh b/bg1/install-patch-totsc-uk.sh
index 87c93d7..10fc8f0 100755
--- a/bg1/install-patch-totsc-uk.sh
+++ b/bg1/install-patch-totsc-uk.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC official UK patch
+# BG1 TOTSC official UK patch v1.3.5512
+#
+# info : http://www.planetbaldursgate.com/bg/media/files/patches/TotSC5512Readme.txt
+# size : 6.1 MB
+# date : 8/3/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/BGTalesUK5512.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
index 90b4d9e..9518ae9 100755
--- a/bg1/install-patch-totsc-us.sh
+++ b/bg1/install-patch-totsc-us.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 TOTSC official US/Canada patch
+# BG1 TOTSC official US/Canada patch v1.3.5512
+#
+# info : http://www.planetbaldursgate.com/bg/media/files/patches/TotSC5512Readme.txt
+# size : 6.1 MB
+# date : 8/3/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/BGTalesUS5512.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index 30387c2..2d382ea 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# BG1 official US/Canada patch
+# BG1 official US/Canada patch v1.1.4315
+#
+# info : http://downloads.bioware.com/baldursgate1/bg114315.txt
+# size : 4.2 MB
+# date : 2/1/99
+
+patch_url="http://downloads.bioware.com/baldursgate1/bg114315.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/bg114315.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/english/"* "$TARGETDIR" || diesoftly
diff --git a/iwd/install-patch-uk-fix.sh b/iwd/install-patch-uk-fix.sh
index 27b1711..63fc051 100755
--- a/iwd/install-patch-uk-fix.sh
+++ b/iwd/install-patch-uk-fix.sh
@@ -22,7 +22,7 @@
# date : 9/27/00
patch_url="http://www.sorcerers.net/Games2/IWD/iwdukpatch.exe"
-patch_name="iwdukpatch.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
diff --git a/iwd/install-patch-us.sh b/iwd/install-patch-us.sh
index 1bea57c..d636baa 100755
--- a/iwd/install-patch-us.sh
+++ b/iwd/install-patch-us.sh
@@ -21,7 +21,7 @@
# date : 7/30/00
patch_url="http://www.sorcerers.net/Games2/IWD/iwdpatch106.exe"
-patch_name="iwdpatch106.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 05cd670..b053e37 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -14,7 +14,14 @@
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
-# Planescape: Torment official patch
+# Planescape: Torment official patch v1.1
+#
+# info : http://www.planetbaldursgate.com/pst/media/files/patches/tormentreadme11.txt
+# size : 3.4 MB
+# date : 1/28/00
+
+patch_url="http://www.sorcerers.net/Games2/Torment/Trmt11.exe"
+patch_name="$(basename $patch_url)"
scriptdir="$(dirname $0)"/..
source "${scriptdir}/includes/generic-includes.sh"
@@ -26,9 +33,9 @@ checkforbin cabextract unshield wget
setuptmp
-getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
+getpatch $patch_url
-cabextract -L "${TMPDIR}/Trmt11.exe" -d "$TMPDIR" || diesoftly
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly